{ config, lib, pkgs, inputs, ... }:
{
  virtualisation.oci-containers.backend = "docker";
  virtualisation.oci-containers.containers."docker-in-docker" = {
    image = "docker:dind";
    hostname = "docker";
    extraOptions = [ "--privileged" "--network=kb-forgejo-runner" ];
    cmd = [ "dockerd" "-H" "tcp://docker:42349" "--tls=false" ];
  };
  virtualisation.oci-containers.containers."forgejo-runner" = {
    image = "code.forgejo.org/forgejo/runner:4.0.0";
    hostname = "forgejo-runner";
    extraOptions = [ "--network=kb-forgejo-runner" ];
    environment.DOCKER_HOST = "tcp://docker:42349";
    user = "1001:1001";
    volumes = [ "forgejo-runner-data:/data" ];
    cmd = [ "/bin/sh" "-c" "sleep 5; forgejo-runner daemon" ];
  };
}


